import { AppProvider } from '../../../../../core/modules/_shared/domain/models/app-provider';
import { AppModule } from '../../../../../core/modules/_shared/domain/models/app-module';
export default class SharedProtectionPlanServiceProvider implements AppProvider {
    private readonly core;
    private readonly module;
    constructor(core: AppModule, module: AppModule);
    get type(): "service";
    services(): Record<string, any>;
}
